com.tibbo.aggregate.common.action.command

## Class EditText

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.EditText

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class EditText
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_MODE`
    `static java.lang.String` | `CF_TEXT`
    `static TableFormat` | `CFT_EDIT_TEXT`
    `static java.lang.String` | `RF_RESULT`
    `static java.lang.String` | `RF_TEXT`
    `static TableFormat` | `RFT_EDIT_TEXT`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditText()`
    `EditText(java.lang.String title, DataTable parameters)`
    `EditText(java.lang.String title, java.lang.String text, java.lang.String mode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getText()`
    `static java.util.Map<java.lang.String,java.lang.String>` | `modes()`
    `void` | `setMode(java.lang.String mode)`
    `void` | `setText(java.lang.String text)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_TEXT

          public static final java.lang.String CF_TEXT

      See Also:
        Constant Field Values

    - #### CF_MODE

          public static final java.lang.String CF_MODE

      See Also:
        Constant Field Values

    - #### RF_RESULT

          public static final java.lang.String RF_RESULT

      See Also:
        Constant Field Values

    - #### RF_TEXT

          public static final java.lang.String RF_TEXT

      See Also:
        Constant Field Values

    - #### CFT_EDIT_TEXT

          public static final TableFormat CFT_EDIT_TEXT

    - #### RFT_EDIT_TEXT

          public static final TableFormat RFT_EDIT_TEXT

  - ### Constructor Detail

    - #### EditText

          public EditText()

    - #### EditText

          public EditText(java.lang.String title,
                          java.lang.String text,
                          java.lang.String mode)

    - #### EditText

          public EditText(java.lang.String title,
                          DataTable parameters)

  - ### Method Detail

    - #### modes

          public static java.util.Map<java.lang.String,java.lang.String> modes()

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String text)

    - #### getMode

          public java.lang.String getMode()

    - #### setMode

          public void setMode(java.lang.String mode)